# coding: utf-8

"""
Copyright 2016 SmartBear Software

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

        http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.

    Ref: https://github.com/swagger-api/swagger-codegen
"""

from pprint import pformat
from six import iteritems
import re


class SettingsMappingMappingSettings(object):
    """
    NOTE: This class is auto generated by the swagger code generator program.
    Do not edit the class manually.
    """
    def __init__(self):
        """
        SettingsMappingMappingSettings - a model defined in Swagger

        :param dict swaggerTypes: The key is attribute name
                                  and the value is attribute type.
        :param dict attributeMap: The key is attribute name
                                  and the value is json key in definition.
        """
        self.swagger_types = {
            'gid_range_enabled': 'bool',
            'gid_range_max': 'int',
            'gid_range_min': 'int',
            'gid_range_next': 'int',
            'uid_range_enabled': 'bool',
            'uid_range_max': 'int',
            'uid_range_min': 'int',
            'uid_range_next': 'int'
        }

        self.attribute_map = {
            'gid_range_enabled': 'gid_range_enabled',
            'gid_range_max': 'gid_range_max',
            'gid_range_min': 'gid_range_min',
            'gid_range_next': 'gid_range_next',
            'uid_range_enabled': 'uid_range_enabled',
            'uid_range_max': 'uid_range_max',
            'uid_range_min': 'uid_range_min',
            'uid_range_next': 'uid_range_next'
        }

        self._gid_range_enabled = None
        self._gid_range_max = None
        self._gid_range_min = None
        self._gid_range_next = None
        self._uid_range_enabled = None
        self._uid_range_max = None
        self._uid_range_min = None
        self._uid_range_next = None

    @property
    def gid_range_enabled(self):
        """
        Gets the gid_range_enabled of this SettingsMappingMappingSettings.
        Enables use of a fixed range for allocating GIDs.

        :return: The gid_range_enabled of this SettingsMappingMappingSettings.
        :rtype: bool
        """
        return self._gid_range_enabled

    @gid_range_enabled.setter
    def gid_range_enabled(self, gid_range_enabled):
        """
        Sets the gid_range_enabled of this SettingsMappingMappingSettings.
        Enables use of a fixed range for allocating GIDs.

        :param gid_range_enabled: The gid_range_enabled of this SettingsMappingMappingSettings.
        :type: bool
        """
        
        self._gid_range_enabled = gid_range_enabled

    @property
    def gid_range_max(self):
        """
        Gets the gid_range_max of this SettingsMappingMappingSettings.
        Specifies ending number for allocating GIDs.

        :return: The gid_range_max of this SettingsMappingMappingSettings.
        :rtype: int
        """
        return self._gid_range_max

    @gid_range_max.setter
    def gid_range_max(self, gid_range_max):
        """
        Sets the gid_range_max of this SettingsMappingMappingSettings.
        Specifies ending number for allocating GIDs.

        :param gid_range_max: The gid_range_max of this SettingsMappingMappingSettings.
        :type: int
        """
        
        self._gid_range_max = gid_range_max

    @property
    def gid_range_min(self):
        """
        Gets the gid_range_min of this SettingsMappingMappingSettings.
        Specifies starting number for allocating GIDs.

        :return: The gid_range_min of this SettingsMappingMappingSettings.
        :rtype: int
        """
        return self._gid_range_min

    @gid_range_min.setter
    def gid_range_min(self, gid_range_min):
        """
        Sets the gid_range_min of this SettingsMappingMappingSettings.
        Specifies starting number for allocating GIDs.

        :param gid_range_min: The gid_range_min of this SettingsMappingMappingSettings.
        :type: int
        """
        
        self._gid_range_min = gid_range_min

    @property
    def gid_range_next(self):
        """
        Gets the gid_range_next of this SettingsMappingMappingSettings.
        Specifies the next GID to be allocated.

        :return: The gid_range_next of this SettingsMappingMappingSettings.
        :rtype: int
        """
        return self._gid_range_next

    @gid_range_next.setter
    def gid_range_next(self, gid_range_next):
        """
        Sets the gid_range_next of this SettingsMappingMappingSettings.
        Specifies the next GID to be allocated.

        :param gid_range_next: The gid_range_next of this SettingsMappingMappingSettings.
        :type: int
        """
        
        self._gid_range_next = gid_range_next

    @property
    def uid_range_enabled(self):
        """
        Gets the uid_range_enabled of this SettingsMappingMappingSettings.
        Uses a fixed range for allocating UIDs.

        :return: The uid_range_enabled of this SettingsMappingMappingSettings.
        :rtype: bool
        """
        return self._uid_range_enabled

    @uid_range_enabled.setter
    def uid_range_enabled(self, uid_range_enabled):
        """
        Sets the uid_range_enabled of this SettingsMappingMappingSettings.
        Uses a fixed range for allocating UIDs.

        :param uid_range_enabled: The uid_range_enabled of this SettingsMappingMappingSettings.
        :type: bool
        """
        
        self._uid_range_enabled = uid_range_enabled

    @property
    def uid_range_max(self):
        """
        Gets the uid_range_max of this SettingsMappingMappingSettings.
        Specifies ending number for allocating UIDs.

        :return: The uid_range_max of this SettingsMappingMappingSettings.
        :rtype: int
        """
        return self._uid_range_max

    @uid_range_max.setter
    def uid_range_max(self, uid_range_max):
        """
        Sets the uid_range_max of this SettingsMappingMappingSettings.
        Specifies ending number for allocating UIDs.

        :param uid_range_max: The uid_range_max of this SettingsMappingMappingSettings.
        :type: int
        """
        
        self._uid_range_max = uid_range_max

    @property
    def uid_range_min(self):
        """
        Gets the uid_range_min of this SettingsMappingMappingSettings.
        Specifies starting number for allocating UIDs.

        :return: The uid_range_min of this SettingsMappingMappingSettings.
        :rtype: int
        """
        return self._uid_range_min

    @uid_range_min.setter
    def uid_range_min(self, uid_range_min):
        """
        Sets the uid_range_min of this SettingsMappingMappingSettings.
        Specifies starting number for allocating UIDs.

        :param uid_range_min: The uid_range_min of this SettingsMappingMappingSettings.
        :type: int
        """
        
        self._uid_range_min = uid_range_min

    @property
    def uid_range_next(self):
        """
        Gets the uid_range_next of this SettingsMappingMappingSettings.
        Specifies the next UID to be allocated.

        :return: The uid_range_next of this SettingsMappingMappingSettings.
        :rtype: int
        """
        return self._uid_range_next

    @uid_range_next.setter
    def uid_range_next(self, uid_range_next):
        """
        Sets the uid_range_next of this SettingsMappingMappingSettings.
        Specifies the next UID to be allocated.

        :param uid_range_next: The uid_range_next of this SettingsMappingMappingSettings.
        :type: int
        """
        
        self._uid_range_next = uid_range_next

    def to_dict(self):
        """
        Returns the model properties as a dict
        """
        result = {}

        for attr, _ in iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value

        return result

    def to_str(self):
        """
        Returns the string representation of the model
        """
        return pformat(self.to_dict())

    def __repr__(self):
        """
        For `print` and `pprint`
        """
        return self.to_str()

    def __eq__(self, other):
        """
        Returns true if both objects are equal
        """
        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """
        Returns true if both objects are not equal
        """
        return not self == other

